XAMPP 1.7.7 Sybase on windows

Problems with the Windows version of XAMPP, questions, comments, and anything related.

XAMPP 1.7.7 Sybase on windows

Postby tito007 » 16. January 2012 13:02

Has anyone managed to connect to Sybase ASE using XAMPP 1.7.7 on windows machine?

When i enable php_sybase_ct.dll on php.ini and restart apache server i get this error: Unable to load dynamic library php_sybase_ct.dll

Please help :-(
Posts: 1
Joined: 16. January 2012 12:50
Operating System: Windows

Re: XAMPP 1.7.7 Sybase on windows

Postby JonB » 16. January 2012 22:39

Is the php_sybase_ct.dll you have a VC9 compile???

You should check the location you downloaded from to ascertain the version of the dll. PHP extensions have to match the compiler version used to compile Apache & PHP. XAMPP 1.7.7 for Windows is a VC9 compilation.

You might want to Google?Bing?Yahoo whatever this: "php_sybase_ct.dll vc9" to see what you come up with


If its a VC6 compile, you would need to step back to a prior version of XAMPP that supported VC6 extensions. (I would recommend 1.7.3 for its stability)

Good Luck
User avatar
AF Moderator
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 68 guests